package com.keystar.plane.inspection.vo;

import cn.hutool.core.util.StrUtil;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotNull;

/**
 * @author KR0111
 * @program third-party
 * @className UploadVo
 * @description 上传vo对象
 * @create 2021-10-29 16:08
 */
@Data
public class UploadVo {
    @NotNull(message = "文件不能为空")
    private MultipartFile file;
    @NotNull(message = "储存目录不能为空")
    private String bucketName;
    private String resourcePath;
    private String resourceName;

    public String getPath(){
        if (StrUtil.isEmpty(resourcePath)){
            return  resourceName;
        }
        return  resourcePath+"/"+resourceName;
    }
}
